summaryrefslogtreecommitdiff
path: root/packaging/debian/monkeysphere.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/debian/monkeysphere.postinst')
-rwxr-xr-xpackaging/debian/monkeysphere.postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/packaging/debian/monkeysphere.postinst b/packaging/debian/monkeysphere.postinst
new file mode 100755
index 0000000..02d6304
--- /dev/null
+++ b/packaging/debian/monkeysphere.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+
+# postinst script for monkeysphere
+
+# Author: Jameson Rollins <jrollins@fifthhorseman.net>
+# Copyright 2008
+
+ETC="/etc/monkeysphere"
+VARLIB="/var/lib/monkeysphere"
+
+if ! getent passwd monkeysphere >/dev/null ; then
+ echo "adding monkeysphere user..."
+ adduser --quiet --system --no-create-home --group \
+ --home "$VARLIB" \
+ --shell '/bin/bash' \
+ --gecos 'monkeysphere authentication user,,,' \
+ monkeysphere
+fi
+
+# install host gnupg home directory
+install --owner root --group monkeysphere --mode 750 -d "$VARLIB"/gnupg-host
+# link in the gpg.conf
+ln -sTf "$ETC"/gnupg-host.conf "$VARLIB"/gnupg-host/gpg.conf
+
+# install authentication gnupg home directory
+install --owner monkeysphere --group monkeysphere --mode 700 -d "$VARLIB"/gnupg-authentication
+# link in the gpg.conf
+ln -sTf "$ETC"/gnupg-authentication.conf "$VARLIB"/gnupg-authentication/gpg.conf